#@ load("@ytt:overlay", "overlay")

#@data/values
---
environment:
  id: production
  applications:
    - proto: argocd
    - proto: traefik
    - proto: cert-manager
    - proto: kubernetes-secret-generator
    - proto: forgejo
    - proto: victoria-metrics-single
    - proto: grafana
    - proto: kube-state-metrics
    - proto: node-exporter
    - proto: hcloud-csi
    - proto: cloudnative-pg
    - proto: metrics-server
    - proto: ocis
    - proto: matrix-synapse
    - proto: element-web

cluster:
  domain: tr1ceracop.de
  ingress:
    className: traefik
  tls:
    issuer: letsencrypt
  storageClass:
    block: hcloud-volumes
    local: local-path

backups:
  enabled: true
  s3:
    endpoint: https://fsn1.your-objectstorage.com
    region: fsn1
  storagebox:
    enabled: true

ocis:
  s3:
    external: true
    endpoint: https://nbg1.your-objectstorage.com
    region: nbg1
    bucket: ocis-tr1ceracop

forgejo:
  sshPort: 222
  #@overlay/replace
  nodeSelector:
    kubernetes.io/hostname: ubuntu-4gb-nbg1-3
  backup:
    s3Bucket: k8s-and-chill-backups
